curl --request GET \
--url https://api.hel.io/v1/transactions/deposit/{depositId}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/transactions/deposit/{depositId}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/transactions/deposit/{depositId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "68ff500f439553116f7e675b",
"fee": "220000",
"createdAt": "2025-10-27T10:57:19.133Z",
"paymentType": "DEPOSIT",
"deposit": {
"id": "68fa4fc921fd483566b4676a",
"description": "",
"name": "testing deposit",
"platform": "HELIO",
"createdAt": "2025-10-23T15:54:49.983Z",
"updatedAt": "2025-10-23T15:54:49.983Z",
"currencies": [
{
"id": "63430c8348c610068bcdc482",
"name": "USD Coin",
"decimals": 6,
"order": 100,
"mintAddress": "4zMMC9srt5Ri5X14GAgXhaHii3GnPAEERYPJgZJDncDU",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP",
"DEPOSIT_MERCHANT_RECIPIENT",
"DEPOSIT_CUSTOMER_CHECKOUT"
],
"orderingType": "NUMERIC",
"blockchain": {
"id": "63430c8348c610068bcdc43c",
"name": "SOL",
"symbol": "SOL",
"engine": {
"id": "63b574b9d07b6f6f21c13eb2",
"type": "SOL"
}
}
}
],
"company": {
"id": "667c3e5bc3d87bccd2035dbe",
"name": "",
"email": "",
"websiteUrl": "",
"address": "",
"phoneNumber": "",
"escrowFunds": false,
"twitterConfirmed": false,
"kycVerified": false,
"kybVerified": true,
"customTheme": {
"primaryColor": "#6400CC",
"neutralColor": "#5A6578",
"themeMode": "LIGHT",
"textColorOnButton": "BLACK",
"backgroundColor": "#f9f9f9"
}
},
"creator": {
"id": "667c3e5bc3d87bccd2035dbc",
"userType": "MERCHANT",
"email": "jesse@hel.io",
"isDisabled": false,
"kycVerified": false,
"platformDetails": {
"platform": "HELIO"
}
}
},
"depositCustomer": {
"id": "68fa4fcf44b5923055b0878b",
"deposit": "68fa4fc921fd483566b4676a",
"token": "e59bdbcb-9360-4663-8012-38f68b841e0c",
"customerId": "12",
"recipientPublicKeys": [
"7BancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"
]
},
"meta": {
"id": "68ff500f439553116f7e6759",
"amount": "10780000",
"senderPK": "692psCs3zQAsMLE48ZGfUA7fYbJgqWY47BLkmN4T4scB",
"recipientPK": "7BancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "DEPOSIT",
"customerDetails": {},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "3QPCuJyZu7ay3CXhg1pRraqRwXEdudWhwDAoRQ6vxTXadA9qAHrhHmiZNf2yKM1kD2NVYHWHrUnNieJFDeqfA4ek",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "10780000",
"totalAmountAsUSD": "10780000",
"tokenQuote": null,
"shopifyPaymentDetails": null,
"currency": {
"id": "63430c8348c610068bcdc482",
"name": "USD Coin",
"decimals": 6,
"order": 100,
"mintAddress": "4zMMC9srt5Ri5X14GAgXhaHii3GnPAEERYPJgZJDncDU",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP",
"DEPOSIT_MERCHANT_RECIPIENT",
"DEPOSIT_CUSTOMER_CHECKOUT"
],
"orderingType": "NUMERIC",
"blockchain": {
"id": "63430c8348c610068bcdc43c",
"name": "SOL",
"symbol": "SOL",
"engine": {
"id": "63b574b9d07b6f6f21c13eb2",
"type": "SOL"
}
}
}
},
"paymentRequestCreatorId": "667c3e5bc3d87bccd2035dbc",
"paymentRequestName": "Deposit",
"paymentRequestCurrencySymbol": "USDC",
"paymentRequestBlockchain": "SOL",
"incomingTransactions": [
{
"hash": "2azE2LdA7JATeKEvt1aUiWJmFbKSZ9ZgJntXjdjniBrtDhrECj8ZB5BUai5pdbWR2gioMT5Go1cAQbKiB3gBsgrc",
"from": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"to": "6C6gzbxQ1rc5vEbnycWGmTNmLcDhavsNi6C5nAMWEfYn",
"value": "48102183",
"blockNumber": 437805392,
"timestamp": 1769440895,
"status": "success",
"gasUsed": "5000",
"gasPrice": "20000000000",
"nonce": 12
}
]
}
]{
"message": "Api key or token is invalid",
"code": 401
}Get All Deposit Transactions
Fetch a complete list of transactions linked to a specific deposit, including payment details, status, amounts, and related metadata. Get transactions from the last 7 days by default or use from or to filter.
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The unique identifier of the deposit to retrieve.
Query Parameters
Your API key, which can be generated from the dashboard developers page.
Filter results by sender public key.
The end of the time range for filtering transactions, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS.sssZ).
The start of the time range for filtering transactions, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS.sssZ).
Response
All deposit transactions were successfully retrieved
Merchant-defined unique identifier used to reference the customer in the merchant’s system.
Identifier of the deposit.
List of recipient public keys.
1 elementThe default on-ramp amount to prefill for the customer.
Prefills the email field in the MoonPay on-ramp widget for the customer.
Optional JSON string containing metadata.
Optional list of blockchain engines to provision deposit wallets for. When omitted, wallets are created for all supported engines (SOL, BTC, EVM, TRON, HYPERCORE, DOGE). Use this to limit which deposit addresses are generated — for example, pass ["EVM", "BTC"] to skip SOL if you handle Solana deposits yourself.
SOL, BTC, EVM, TRON, HYPERCORE, DOGE 